# 현재 사용자의 보상 체인 가져오기

클라이언트 엔드포인트. 현재 사용자의 보상 체인을 가져옵니다.


  주의
    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 응답당 50개 항목입니다. 페이지별로 더 많은 데이터를 얻으려면 limit 및 offset 입력란을 사용하세요.





  참고
    이 API 호출은 인증을 위해 사용자 JWT를 사용합니다.
    이 토큰은 Authorization 헤더에 다음 형식으로 포함해야 합니다: Bearer &lt;user_JWT&gt;. 사용자 JWT에 대한 자세한 내용은 이 호출의 보안 블록을 참조하십시오.

Endpoint: GET /v2/project/{project_id}/user/reward_chain
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    페이지 요소 개수 제한입니다.
    Example: 50

  - `offset` (integer)
    목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

## Response 200 fields (application/json):

  - `has_more` (boolean)
    페이지가 더 있다는 표시로 사용됩니다.
    Example: true

  - `total_items_count` (integer)
    시스템에 있는 보상 체인의 총 수량입니다.
    Example: 10

  - `items` (array)

  - `items.reward_chain_id` (integer)
    보상 체인 ID입니다.
    Example: 9

  - `items.name` (string)
    보상 체인의 이름입니다.
    Example: "Weekly quest"

  - `items.description` (string,null)
    리워드 체인에 대한 설명입니다.
    Example: "Major weekly quest"

  - `items.long_description` (string,null)
    보상 체인에 대한 긴 설명입니다.
    Example: "You can get a lot of additional items just by shopping during the week"

  - `items.image_url` (string,null)
    이미지 URL입니다.

  - `items.order` (integer)
    배열 순서를 정의합니다.

  - `items.date_start` (string)
    보상 체인이 시작되는 날짜입니다.

  - `items.date_end` (string,null)
    보상 체인 프로모션이 종료되는 날짜입니다. null일 수 있습니다. date_end가 null이면 보상 체인이 시간 제한을 받지 않습니다.

  - `items.clan_type` (string,null)
    클랜 유형.
    Enum: "clan", "guild", "faction", "community", "team", "squad", "alliance", "association", "coalition", "union", "group", "civilizations", "dynasty", "order", "league", "brotherhood", "kingdom", "organization", "house", "empire", "tribe", "cartel", null

  - `items.top_contributors` (array)

  - `items.top_contributors.name` (string)
    인증 프로세스 중에 엑솔라로 전송되는 사용자 ID입니다. 사용자 ID는 사용자를 엑솔라 로그인 프로젝트와 연결하는 데 사용되며 별명으로 표시됩니다. [ 사용자 ID](https://developers.xsolla.com/ko/solutions/web-shop/create-web-shop/set-up-authentication/?tabs=100-UserIDAuth&link=100-UserIDAuth)에 따라 인증을 사용하는 경우, [ 웹훅 응답](https://developers.xsolla.com/ko/webhooks/operation/user-validation-in-webshop/)에 name 매개 변수를 전달하는 것이 좋습니다. 이 매개 변수에는 별명으로 사용될 사용자 이름이 포함되어 있습니다.
    Example: "Rocket"

  - `items.top_contributors.contributed_amount` (integer)
    사용자가 획득한 가치 포인트의 금액입니다.
    Example: 100

  - `items.value_point` (object)

  - `items.value_point.sku` (string)
    고유 가치 포인트 ID입니다.

  - `items.value_point.name` (string)
    가치 포인트 이름입니다.

  - `items.value_point.image_url` (string)
    이미지 URL입니다.

  - `items.value_point.description` (string,null)
    가치 포인트 설명입니다.

  - `items.value_point.long_description` (string,null)
    가치 포인트에 대한 긴 설명입니다.

  - `items.value_point.amount` (integer)
    가치 포인트의 금액입니다.

  - `items.value_point.is_clan` (boolean)
    값 포인트가 클랜 보상 체인에서 사용되는지 여부입니다.

  - `items.steps` (array)

  - `items.steps.step_id` (integer)
    단계 ID입니다.
    Example: 10

  - `items.steps.name` (string)
    단계 이름.
    Example: "Level 1"

  - `items.steps.is_claimed` (boolean)
    단계 보상이 청구되는지 여부입니다.

  - `items.steps.image_url` (string)
    이미지 URL입니다.

  - `items.steps.price` (object)

  - `items.steps.price.amount` (integer)
    사용자가 단계에 대해 청구하는 값 포인트의 수입니다.
    Example: 100

  - `items.steps.reward` (array)

  - `items.steps.reward.sku` (string)
    고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

  - `items.steps.reward.name` (string)
    아이템 이름입니다.
    Example: "Super box"

  - `items.steps.reward.type` (string)
    아이템 유형입니다.
    Example: "bundle"

  - `items.steps.reward.description` (string)
    아이템 설명입니다.
    Example: "Super box with items"

  - `items.steps.reward.image_url` (string)
    이미지 URL입니다.

  - `items.steps.reward.quantity` (integer)
    아이템 수량입니다.
    Example: 2

  - `items.recurrent_schedule` (object,null)
    보상 체인의 반복 재설정 기간입니다.

  - `items.recurrent_schedule.interval_type` (any)

  - `items.recurrent_schedule.reset_next_date` (integer)
    다음에 보상 체인이 재설정되는 날짜와 시간의 계산 결과 (유닉스 타임 스탬프).  예를 들어 보상 체인은 2024년 3월 1일부터 쿠알라룸푸르 시간(GMT+8)을 기준으로 01:00에 매월 초기화됩니다. 다음 보상 체인 재설정 날짜 및 시간은 쿠알라룸푸르 시간(GMT+8)으로 2024년 4월 1일 01:00이며, 이는 2024년 3월 31일 17:00 GMT+0 또는 유닉스 타임 스탬프 형식으로 1711904400000에 해당합니다.  예: 1711904400000

  - `items.popup_header` (object,null)
    클랜 보상 체인 툴팁 팝업 창의 헤더에 대한 현지화가 있는 개체입니다. 2자리 소문자 [언어 코드](https://developers.xsolla.com/ko/doc/pay-station/features/localization/)입니다.

  - `items.popup_header.en` (string,null)
    Example: "How to unlock rewards"

  - `items.popup_header.ar` (string,null)

  - `items.popup_header.bg` (string,null)

  - `items.popup_header.cn` (string,null)

  - `items.popup_header.cs` (string,null)

  - `items.popup_header.de` (string,null)
    Example: "Wie man Belohnungen freischaltet"

  - `items.popup_header.es` (string,null)
    Example: "Cómo desbloquear recompensas"

  - `items.popup_header.fr` (string,null)
    Example: "Comment débloquer des récompenses"

  - `items.popup_header.he` (string,null)

  - `items.popup_header.it` (string,null)
    Example: "Come sbloccare ricompense"

  - `items.popup_header.ja` (string,null)
    Example: "報酬をアンロックする方法"

  - `items.popup_header.ko` (string,null)

  - `items.popup_header.pl` (string,null)

  - `items.popup_header.pt` (string,null)

  - `items.popup_header.ro` (string,null)

  - `items.popup_header.ru` (string,null)

  - `items.popup_header.th` (string,null)

  - `items.popup_header.tr` (string,null)

  - `items.popup_header.tw` (string,null)

  - `items.popup_header.vi` (string,null)

  - `items.popup_instruction` (object,null)
    클랜 보상 체인 툴팁 팝업 창의 지시를 위한 현지화가 있는 개체입니다. 2자리 소문자 [언어 코드](https://developers.xsolla.com/ko/doc/pay-station/features/localization/)입니다.

  - `items.popup_instruction.en` (string,null)
    Example: "You must be a clan member to get clan rewards. You join a clan when a clan member invites you to the clan, and you accept the invite. You can also create your own clan."

  - `items.popup_instruction.ar` (string,null)

  - `items.popup_instruction.bg` (string,null)

  - `items.popup_instruction.cn` (string,null)

  - `items.popup_instruction.cs` (string,null)

  - `items.popup_instruction.de` (string,null)
    Example: "Du musst ein Clanmitglied sein, um Clananreize zu erhalten. Du trittst einem Clan bei, wenn ein Clanmitglied dich einlädt, und du die Einladung annimmst. Du kannst auch deinen eigenen Clan erstellen."

  - `items.popup_instruction.es` (string,null)
    Example: "Debes ser miembro de un clan para obtener las recompensas del clan. Te unes a un clan cuando un miembro del clan te invita al clan y aceptas la invitación. También puedes crear tu propio clan."

  - `items.popup_instruction.fr` (string,null)
    Example: "Vous devez être membre d'un clan pour obtenir les récompenses du clan. Vous rejoignez un clan lorsque qu'un membre du clan vous invite au clan et que vous acceptez l'invitation. Vous pouvez également créer votre propre clan."

  - `items.popup_instruction.he` (string,null)

  - `items.popup_instruction.it` (string,null)
    Example: "Devi essere un membro del clan per ottenere le ricompense del clan. Ti unisci a un clan quando un membro del clan ti invita al clan e accetti l'invito. Puoi anche creare il tuo clan."

  - `items.popup_instruction.ja` (string,null)
    Example: "クランリワードを受け取るには、クランメンバーでなければなりません。 クランメンバーがあなたをクランに招待し、招待を受け入れると、クランに参加できます。 あなた自身のクランを作成することもできます。"

  - `items.popup_instruction.ko` (string,null)

  - `items.popup_instruction.pl` (string,null)

  - `items.popup_instruction.pt` (string,null)

  - `items.popup_instruction.ro` (string,null)

  - `items.popup_instruction.ru` (string,null)

  - `items.popup_instruction.th` (string,null)

  - `items.popup_instruction.tr` (string,null)

  - `items.popup_instruction.tw` (string,null)

  - `items.popup_instruction.vi` (string,null)

  - `items.popup_image_url` (string,null)
    클랜 보상 체인 툴팁 팝업 창 이미지입니다.


